package com.project.zcustom.service.synchronization.impl;

import com.project.zcustom.domain.access.PlatAccess;
import com.project.zcustom.domain.addional.*;
import com.project.zcustom.domain.basics.PlatBasics;
import com.project.zcustom.domain.basics.PlatBasicsCompany;
import com.project.zcustom.domain.basics.PlatBasicsServer;
import com.project.zcustom.domain.basics.PlatBasicsSystem;
import com.project.zcustom.domain.employee.PlatEmployeeHealth;
import com.project.zcustom.domain.employee.PlatEmployeeHealthIllness;
import com.project.zcustom.domain.employee.PlatEmployeeType;
import com.project.zcustom.domain.employee.PlatEmployeeTypeFlow;
import com.project.zcustom.domain.post.PlatPostStation;
import com.project.zcustom.domain.post.PlatPostStationChart;
import com.project.zcustom.domain.property.PlatProperty;
import com.project.zcustom.domain.property.PlatPropertyList;
import com.project.zcustom.domain.property.PlatPropertyTools;
import com.project.zcustom.domain.smart.*;
import com.project.zcustom.mapper.synchronization.PlatSynchronizeMapper;
import com.project.zcustom.service.synchronization.IPlatSynchronizeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PlatSynchronizeServiceImpl implements IPlatSynchronizeService {

    @Autowired
    private PlatSynchronizeMapper platSynchronizeMapper;

    public List<PlatAccess> getServiceAccess(){
        return platSynchronizeMapper.getServiceAccess();
    }

    public List<PlatBasics> getServiceBasics(){
        return platSynchronizeMapper.getServiceBasics();
    }

    public List<PlatBasicsCompany> getServiceBasicsCompany(){
        return platSynchronizeMapper.getServiceBasicsCompany();
    }

    public List<PlatBasicsServer> getServiceBasicsServer(){
        return platSynchronizeMapper.getServiceBasicsServer();
    }

    public List<PlatBasicsSystem> getServiceBasicsSystem(){
        return platSynchronizeMapper.getServiceBasicsSystem();
    }

    public List<PlatEmployeeHealth> getServiceHealth(){
        return platSynchronizeMapper.getServiceHealth();
    }

    public List<PlatEmployeeHealthIllness> getServiceHealthIllness(){
        return platSynchronizeMapper.getServiceHealthIllness();
    }

    public List<PlatEmployeeType> getServiceEmployeeType(){
        return platSynchronizeMapper.getServiceEmployeeType();
    }

    public List<PlatEmployeeTypeFlow> getServiceEmployeeTypeFlow(){
        return platSynchronizeMapper.getServiceEmployeeTypeFlow();
    }



    public List<PlatGreenFoods> getServiceGreenFoods(){
        return platSynchronizeMapper.getServiceGreenFoods();
    }

    public List<PlatGreenSmart> getServiceGreenSmart(){
        return platSynchronizeMapper.getServiceGreenSmart();
    }

    public List<PlatGreenSmartOther> getServiceGreenSmartOther(){
        return platSynchronizeMapper.getServiceGreenSmartOther();
    }

    public List<PlatGreenSmartRank> getServiceGreenSmartRank(){
        return platSynchronizeMapper.getServiceGreenSmartRank();
    }

    public List<PlatGreenSmartSafety> getServiceGreenSmartSafety(){
        return platSynchronizeMapper.getServiceGreenSmartSafety();
    }



    public List<PlatPostStation> getServicePostStation(){
        return platSynchronizeMapper.getServicePostStation();
    }

    public List<PlatPostStationChart> getServicePostStationChart(){
        return platSynchronizeMapper.getServicePostStationChart();
    }


    public List<PlatProperty> getServiceProperty(){
        return platSynchronizeMapper.getServiceProperty();
    }

    public List<PlatPropertyList> getServicePropertyList(){
        return platSynchronizeMapper.getServicePropertyList();
    }

    public List<PlatPropertyTools> getServicePropertyTools(){
        return platSynchronizeMapper.getServicePropertyTools();
    }

    public List<LargeBuilding> getServiceBuilding(){
        return platSynchronizeMapper.getServiceBuilding();
    }

    public List<LargeBuildingControl> getServiceBuildingControl(){
        return platSynchronizeMapper.getServiceBuildingControl();
    }

    public List<LargeBuildingControlAmmeterDetail> getServiceBuildingAmmeterDetail(){
        return platSynchronizeMapper.getServiceBuildingAmmeterDetail();
    }

    public List<LargeBuildingLoadDetail> getServiceBuildingLoadDetail(){
        return platSynchronizeMapper.getServiceBuildingLoadDetail();
    }



    public List<LargeCamera> getServiceEngineerCamera(){
        return platSynchronizeMapper.getServiceEngineerCamera();
    }

    public List<LargeIssue> getServiceEngineerIssue(){
        return platSynchronizeMapper.getServiceEngineerIssue();
    }

    public List<LargePlan> getServiceEngineerPlan(){
        return platSynchronizeMapper.getServiceEngineerPlan();
    }

    public List<LargeProject> getServiceEngineerProject(){
        return platSynchronizeMapper.getServiceEngineerProject();
    }




    public List<LargeHousingLand> getServiceLogisticsHousing(){
        return platSynchronizeMapper.getServiceLogisticsHousing();
    }

    public List<LargeLogistics> getServiceLogistics(){
        return platSynchronizeMapper.getServiceLogistics();
    }

    public List<LargeAssetDirs> getServiceLogisticsBuildingAsset(){
        return platSynchronizeMapper.getServiceLogisticsBuildingAsset();
    }

    public List<LargeAssetDirs> getServiceLogisticsOfficeAsset(){
        return platSynchronizeMapper.getServiceLogisticsOfficeAsset();
    }

    public List<LargeAssetDirs> getServiceLogisticsServiceAsset(){
        return platSynchronizeMapper.getServiceLogisticsServiceAsset();
    }

    public List<LargeCar> getServicePublicCar(){
        return platSynchronizeMapper.getServicePublicCar();
    }

    public List<LargeCarDetail> getServicePublicCarChange(){
        return platSynchronizeMapper.getServicePublicCarChange();
    }

    public List<LargeWarnDetail> getServicePublicCarWarn(){
        return platSynchronizeMapper.getServicePublicCarWarn();
    }

    public List<LargeCarRank> getServicePublicCarRank(){
        return platSynchronizeMapper.getServicePublicCarRank();
    }
}
